{
  "schema_version": "1.4.0",
  "id": "GHSA-g8gq-4rhw-xpq5",
  "modified": "2025-04-09T03:53:33Z",
  "published": "2022-05-01T18:45:50Z",
  "aliases": [
    "CVE-2007-6712"
  ],
  "details": "Integer overflow in the hrtimer_forward function (hrtimer.c) in Linux kernel 2.6.21-rc4, when running on 64-bit systems, allows local users to cause a denial of service (infinite loop) via a timer with a large expiry value, which causes the timer to always be expired.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-6712"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/41827"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9210"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/chris/linux-2.6.git%3Ba=commitdiff%3Bh=13788ccc41ceea5893f9c747c59bc0b28f2416c2"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/chris/linux-2.6.git;a=commitdiff;h=13788ccc41ceea5893f9c747c59bc0b28f2416c2"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-06/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30294"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30368"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30818"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31107"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31628"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1588"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0275.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0585.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29294"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-625-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-04-12T19:05:00Z"
  }
}